Name:          mate-calc
Version:       1.23.0
Release:       1%{?dist}
Summary:       MATE Desktop calculator
License:       GPLv2+
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/1.23/%{name}-%{version}.tar.xz

BuildRequires: gtk3-devel
BuildRequires: libxml2-devel
BuildRequires: mate-common
BuildRequires: bison
BuildRequires: flex
BuildRequires: mate-desktop-devel
BuildRequires: desktop-file-utils


%description
mate-calc is a powerful graphical calculator with financial, logical and scientific modes.
It uses a multiple precision package to do its arithmetic to give a high degree of accuracy.

%prep
%autosetup -p1

%build
%configure --disable-schemas-compile

make %{?_smp_mflags} V=1

%install
%{make_install}


desktop-file-install                                                                        \
        --delete-original                                                                \
        --dir=%{buildroot}%{_datadir}/applications                                        \
%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome --all-name


%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_bindir}/mate-calc
%{_bindir}/mate-calc-cmd
%{_bindir}/mate-calculator
%{_datadir}/metainfo/mate-calc.appdata.xml
%{_datadir}/applications/mate-calc.desktop
%{_datadir}/glib-2.0/schemas/org.mate.calc.gschema.xml
#%%{_datadir}/mate-calc


%changelog
* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.23.0-1
- test 1.23.0

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.1-2
- test https://github.com/mate-desktop/mate-calc/pull/92
- test https://github.com/mate-desktop/mate-calc/pull/96
- test https://github.com/mate-desktop/mate-calc/pull/97
- test https://github.com/mate-desktop/mate-calc/pull/102
- test https://github.com/mate-desktop/mate-calc/pull/106
- test https://github.com/mate-desktop/mate-calc/pull/105
- test https://github.com/mate-desktop/mate-calc/pull/99
- test https://github.com/mate-desktop/mate-calc/commit/6cd8c5
- test https://github.com/mate-desktop/mate-calc/pull/107
- test https://github.com/mate-desktop/mate-calc/pull/113

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.1-1
- test 1.21.1 release

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-2
- test https://github.com/mate-desktop/mate-calc/pull/89
- test https://github.com/mate-desktop/mate-calc/pull/92
- test https://github.com/mate-desktop/mate-calc/pull/95
- test https://github.com/mate-desktop/mate-calc/pull/96
- test https://github.com/mate-desktop/mate-calc/pull/98
- test https://github.com/mate-desktop/mate-calc/pull/101
- test https://github.com/mate-desktop/mate-calc/pull/97
- test https://github.com/mate-desktop/mate-calc/pull/104
- test https://github.com/mate-desktop/mate-calc/pull/106

* Mon Mar 04 2019 Wolfgang Ulbrich <fedora@raveit.de> - 1.22.0-1
- update to 1.22.0

* Fri Jun 15 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.0-2
- test https://github.com/mate-desktop/mate-calc/pull/58
- test https://github.com/mate-desktop/mate-calc/pull/64
- test https://github.com/mate-desktop/mate-calc/pull/65
- fix appdata dir
- test https://github.com/mate-desktop/mate-calc/pull/66
- test https://github.com/mate-desktop/mate-calc/pull/68
- test https://github.com/mate-desktop/mate-calc/pull/72
- test https://github.com/mate-desktop/mate-calc/pull/73
- test https://github.com/mate-desktop/mate-calc/pull/74
- test https://github.com/mate-desktop/mate-calc/pull/75
- test https://github.com/mate-desktop/mate-calc/pull/76
- test https://github.com/mate-desktop/mate-calc/pull/77

* Fri Jun 15 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.21.0-1
- test 1.21.0

* Fri Jun 15 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.2-1
- update to 1.20.2

* Tue Mar 27 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.1-1
- update to 1.20.1

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-2
- test https://github.com/mate-desktop/mate-calc/pull/47
- test https://github.com/mate-desktop/mate-calc/pull/48

* Sat Feb 10 2018 Wolfgang Ulbrich <fedora@raveit.de> - 1.20.0-1
- update to 1.20 release
- drop GSettings Schema rpm scriptlet
- switch to using autosetup

* Wed Oct 11 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.19.0-1
- test 1.19.0
- test, bump of glib and gtk+ required version (new tarball)

* Mon Jan 16 2017 Wolfgang Ulbrich <fedora@raveit.de> - 1.18.0-1
- test 1.18.0

* Mon Jan 16 2017 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.17.0-1
- update to 1.17.0

* Sat Jun 11 2016 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.8.0-6
- switch to gtk3

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 05 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Wed Feb 19 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.90-1
- update to 1.7.90

* Sun Feb 09 2014 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.1-1
- Update to 1.7.1

* Fri Dec 06 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Mon Mar 25 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.2-1
- Update to latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-2
- switch to proper upstream url
- fix setup line

* Sun Nov 25 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.1-1
- update to 1.5.1 release
- specfile cleanup
- add more descriptive %%description section
- remove unused configure options
- remove unused build requires

* Mon Nov 12 2012 Dan Mashal <dan.mashal@fedoraproject.org> 1.5.0-1
- Initial build

